Index: phonelux_scrappers/scrappers/mobelix_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/mobelix_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/mobelix_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,4 @@
+import json
+import sys
 import unicodedata
 from datetime import datetime
@@ -8,21 +10,31 @@
 
 # import sys
-#
-# file_path = 'outputfile.txt'
-# sys.stdout = open(file_path, "w")
+from classes.phoneoffer import PhoneOffer
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
+file_path = 'outputfile.txt'
+sys.stdout = open(file_path, "w")
 
 offer_shop = "Mobelix"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Mobelix phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/mobelix').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 for i in range(1, 17):
@@ -77,4 +89,6 @@
         back_camera = ''
         cpu = None
+        offer_shop_code = None
+        offer_description = None
 
         for table in tables:
@@ -120,14 +134,51 @@
             back_camera = None
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url,' \
-                        'ram_memory, rom_memory, battery, back_camera, front_camera, color, cpu, chipset, ' \
-                        'operating_system, last_updated, is_validated)' \
-                        ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory, rom_memory,
-                        battery, back_camera, front_camera, color, cpu, chipset, operating_system,
-                        last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
Index: phonelux_scrappers/scrappers/mobigo_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/mobigo_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/mobigo_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,4 @@
+import json
+import unicodedata
 from datetime import datetime
 
@@ -5,23 +7,35 @@
 from bs4 import BeautifulSoup
 import requests
+import sys
 
-# import sys
-#
-# file_path = 'outputfile.txt'
-# sys.stdout = open(file_path, "w")
+from classes.phoneoffer import PhoneOffer
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
+file_path = 'outputfile.txt'
+sys.stdout = open(file_path, "w")
 
 offer_shop = "Mobi Go"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Mobi Go phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/mobigo').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
+
+
 for i in range(1, 6):
     mobigo_url = "https://mobigo.mk/page/" + str(i) + "/"
@@ -55,11 +69,15 @@
         specifications = soup2.find('table', {'id': 'singlet'}).find_all('tr')
 
-        ram_memory = ""
-        rom_memory = ""
-        battery = ""
-        back_camera = ""
-        front_camera = ""
-        chipset = ""
-        operating_system = ""
+        ram_memory = None
+        rom_memory = None
+        battery = None
+        back_camera = None
+        front_camera = None
+        chipset = None
+        operating_system = None
+        cpu = None
+        offer_shop_code = None
+        offer_description = None
+        color = None
 
         for specification in specifications:
@@ -111,12 +129,51 @@
                     battery = None
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,' \
-                        ' rom_memory, battery, back_camera, front_camera, chipset, operating_system, last_updated, is_validated)' \
-                        ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,
-                        rom_memory, battery, back_camera, front_camera, chipset, operating_system, last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        print('ALREADY IN DATABASE')
+        print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
Index: phonelux_scrappers/scrappers/mobilezone_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/mobilezone_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/mobilezone_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,3 @@
+import json
 import unicodedata
 from datetime import datetime
@@ -6,23 +7,33 @@
 from selenium import webdriver
 import requests
+import sys
 
-import sys
+from classes.phoneoffer import PhoneOffer
 
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
-
 offer_shop = "Mobile Zone"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Mobile Zone phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/mobilezone').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 for i in range(1, 3):
@@ -54,6 +65,13 @@
             offer_name = brand + ' ' + offer_name
 
-        price = int(unicodedata.normalize('NFKD', phone.find('span', {'class': 'woocommerce-Price-amount amount'})
-                                          .find('bdi').get_text().replace(',', '').replace('ден', '').strip()))
+        price_tag = phone.find('span', {'class': 'woocommerce-Price-amount amount'})
+        price = None
+
+        if price_tag is not None:
+            price = int(unicodedata.normalize('NFKD', price_tag.find('bdi').get_text()
+                                          .replace(',', '')
+                                          .replace('ден', '').strip()))
+        else:
+            continue
 
         response2 = requests.get(offer_url)
@@ -65,4 +83,10 @@
         front_camera = None
         rom_memory = None
+        ram_memory = None
+        operating_system = None
+        cpu = None
+        chipset = None
+        offer_description = None
+        offer_shop_code = None
         battery = None
         color = None
@@ -84,14 +108,50 @@
                 color = specification.find('td').get_text().strip()
 
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name , price, offer_url, image_url, ' \
-                        'rom_memory, battery, color, front_camera, back_camera, last_updated, is_validated)' \
-                                ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, offer_url, image_url, rom_memory, battery, color,
-                        front_camera, back_camera, last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+    for old_offer in database_offers:
 
-cur.close()
-db_connection.close()
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
Index: phonelux_scrappers/scrappers/mobitech_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/mobitech_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/mobitech_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,4 @@
+import json
+import unicodedata
 from datetime import datetime
 
@@ -5,18 +7,11 @@
 from bs4 import BeautifulSoup
 import requests
+import sys
 
-# import sys
-# file_path = 'outputfile.txt'
-# sys.stdout = open(file_path, "w")
+from classes.phoneoffer import PhoneOffer
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
+file_path = 'outputfile.txt'
+sys.stdout = open(file_path, "w")
+
 
 mobitech_url = "https://mobitech.mk/shop/"
@@ -29,5 +24,25 @@
 
 offer_shop = "Mobitech"  # offer shop
+last_updated = datetime.now().date()
 is_validated = False
+
+# Mobitech phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/mobitech').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 for phone in phones:
@@ -40,5 +55,4 @@
     temp_prices = phone.find('div', {'class': 'jet-woo-product-price'}).find_all('bdi')
     price = int(float(temp_prices[len(temp_prices) - 1].get_text().replace("ден", "").replace(",", "").strip())) # price
-    last_updated = datetime.now().date()  # offer last_updated date
 
     response2 = requests.get(offer_url)
@@ -47,9 +61,15 @@
     specifications = soup2.find_all('h2', {'class': 'elementor-heading-title elementor-size-default'})
 
-    ram_memory = ""
-    rom_memory = ""
-    battery = ""
-    back_camera = ""
-    operating_system = ""
+    ram_memory = None
+    rom_memory = None
+    battery = None
+    back_camera = None
+    front_camera = None
+    operating_system = None
+    chipset = None
+    color = None
+    offer_shop_code = None
+    cpu = None
+    offer_description = None
 
     for specification in specifications:
@@ -62,5 +82,6 @@
         # ram memory
         if specification.get_text().startswith("РАМ Меморија:"):
-            ram_memory = specification.get_text().split("РАМ Меморија:")[1].strip()
+            ram_memory = specification.get_text().split("РАМ Меморија:")[1].replace('RAM', '')\
+                .replace('Ram', '').strip()
             if ram_memory == "Нема" or ram_memory == "/":
                 ram_memory = None
@@ -84,12 +105,51 @@
                 battery = None
 
-    insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,' \
-                    ' rom_memory, battery, back_camera, last_updated, operating_system, is_validated)' \
-                    ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-    insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,
-                    rom_memory, battery, back_camera, last_updated, operating_system, is_validated)
-    cur.execute(insert_script, insert_value)
-    db_connection.commit()
+    new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                 color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                 image_url,
+                                 offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        print('ALREADY IN DATABASE')
+        print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
+
Index: phonelux_scrappers/scrappers/neptun_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/neptun_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/neptun_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,3 @@
+import json
 import unicodedata
 from datetime import datetime
@@ -9,16 +10,8 @@
 import sys
 
+from classes.phoneoffer import PhoneOffer
+
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
-
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
 
 offer_shop = "Neptun"  # offer shop
@@ -26,6 +19,25 @@
 is_validated = False
 
+# Neptun phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/neptun').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
+
 for i in range(1, 11):
-    neptun_url = 'https://www.neptun.mk/mobilni_telefoni.nspx?page='+str(i)
+    neptun_url = 'https://www.neptun.mk/mobilni_telefoni.nspx?page=' + str(i)
 
     # selenium is used because of the dynamic content of the page
@@ -72,4 +84,5 @@
         offer_description = specifications_table.get_text(separator='\n').strip()
 
+        back_camera = None
         operating_system = None
         chipset = None
@@ -78,4 +91,7 @@
         rom_memory = None
         cpu = None
+        front_camera = None
+        color = None
+
         for specification in specifications:
             if 'Батерија:' in specification:
@@ -105,14 +121,50 @@
                 operating_system = specification
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name , price, image_url, offer_url,' \
-                        'offer_shop_code, operating_system, battery, chipset, cpu, ram_memory, rom_memory, ' \
-                        'offer_description, last_updated, is_validated)' \
-                        ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url,
-                        offer_shop_code, operating_system, battery, chipset, cpu, ram_memory, rom_memory, offer_description,
-                        last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_shop_code == old_offer.offer_shop_code:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_shop_code == new_offer.offer_shop_code:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
